CVE-2019-15538

NameCVE-2019-15538
DescriptionAn issue was discovered in xfs_setattr_nonsize in fs/xfs/xfs_iops.c in the Linux kernel through 5.2.9. XFS partially wedges when a chgrp fails on account of being out of disk quota. xfs_setattr_nonsize is failing to unlock the ILOCK after the xfs_qm_vop_chown_reserve call fails. This is primarily a local DoS attack vector, but it might result as well in remote DoS if the XFS filesystem is exported for instance via NFS.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1919-1
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)jessie3.16.56-1+deb8u1fixed
jessie (security)3.16.76-1fixed
stretch4.9.189-3fixed
stretch (security)4.9.189-3+deb9u2fixed
buster4.19.67-2+deb10u1fixed
buster (security)4.19.67-2+deb10u2fixed
bullseye5.2.17-1fixed
sid5.3.9-3fixed
linux-4.9 (PTS)jessie (security)4.9.189-3+deb9u2~deb8u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)5.2.17-1
linuxsourcebuster4.19.67-2
linuxsourcejessie(not affected)
linuxsourcestretch4.9.189-2
linux-4.9sourcejessie4.9.189-3~deb8u1DLA-1919-1

Notes

[jessie] - linux <not-affected> (Vulnerable code introduced later)
https://git.kernel.org/linus/1fb254aa983bf190cfd685d40c64a480a9bafaee

Search for package or bug name: Reporting problems